 
var System = xdc.useModule('xdc.runtime.System');
var Memory = xdc.useModule('xdc.runtime.Memory');
var BIOS = xdc.useModule('ti.sysbios.BIOS');
var Idle = xdc.useModule('ti.sysbios.knl.Idle');
var Swi = xdc.useModule('ti.sysbios.knl.Swi');
var Task = xdc.useModule('ti.sysbios.knl.Task');
var Event = xdc.useModule('ti.sysbios.knl.Event');
var Mailbox = xdc.useModule('ti.sysbios.knl.Mailbox');
var HeapMem = xdc.useModule('ti.sysbios.heaps.HeapMem');
var Startup = xdc.useModule('xdc.runtime.Startup');

var devType="k2l"
var Csl = xdc.useModule('ti.csl.Settings');
Csl.deviceType = devType;
var Pa = xdc.useModule ('ti.drv.pa.Settings');
Pa.deviceType = devType;
var Qmss = xdc.loadPackage('ti.drv.qmss');
var Cppi = xdc.loadPackage('ti.drv.cppi');
var Sa = xdc.loadPackage('ti.drv.sa'); 

/* Load the RM package */
var Rm                          =   xdc.loadPackage('ti.drv.rm');

/* Create default heap and hook it into Memory */
var heapMemParams = new HeapMem.Params;
heapMemParams.size = 8192*4;
var heap0 = HeapMem.create(heapMemParams);

Memory.defaultHeapInstance = heap0;
Program.sectMap[".intMem"] = "MSMCSRAM"; 
Program.sectMap[".init_array"] = "L2SRAM"; 
Program.sectMap[".qmss"]   = "MSMCSRAM"; 
Program.sectMap[".cppi"]   = "MSMCSRAM"; 
Program.sectMap[".text"]   = "MSMCSRAM"; 
Program.sectMap[".const"]  = "MSMCSRAM"; 
Program.sectMap[".testPkts"] = "MSMCSRAM"; 
Program.sectMap[".scBufs"] = "MSMCSRAM";
Program.sectMap[".sharedDDR"] = "MSMCSRAM";
Program.sectMap[".sharedGRL"] = "MSMCSRAM"; 
Program.sectMap[".sharedPolicy"] = "MSMCSRAM";


/* Add init function, make sure the shared memory is created well in advance */
Startup.lastFxns.$add('&fw_shmCreate');


